## ttcn3parser 20011019

=== Makefile ===
#
#       TTCN-3 Parser
#
#         Makefile
#
# Copyright (C) 2001 Institute for Telematics
#
#    Michael Schmitt <schmitt@itm.mu-luebeck.de>
#    Roman Koch <rkoch@itm.mu-luebeck.de>
#
#    Medical University of Luebeck,
#    Ratzeburger Allee 160,
#    23538 Luebeck,
#    Germany
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# $Id: Makefile,v 1.25 2001/08/05 16:40:02 schmitt Exp $
#

ifeq ($(OSTYPE),solaris)
CXX=CC
CPPFLAGS=-I.
CXXFLAGS=-g +p +w2
ifndef LIBANTLR
LIBANTLR=antlr/libantlr.a
endif
LDFLAGS=-Bstatic
else
CXX=g++
CPPFLAGS=-I.
CXXFLAGS=-g -Wall -ansi -pedantic
ifndef LIBANTLR
LIBANTLR=antlr/libantlr-g++-cygwin.a
endif
LDFLAGS=
endif

objects	 = InfoAST.o EnvAST.o ScopeAST.o TTCNMain.o TTCNLexer.o TTCNParser.o TTCNSymbolParser.o TTCNTreeParser.o


# Eliminate implicit rules

.SUFFIXES :


# Link TTCN-3 Parser

TTCN3Parser : $(objects) $(LIBANTLR)
	$(CXX) -o TTCN3Parser $(objects) $(LIBANTLR) $(LDFLAGS)

TTCN3Parser.purify : $(objects) $(LIBANTLR)
	purify $(CXX) -o TTCN3Parser.purify $(objects) $(LIBANTLR) $(LDFLAGS)


# Compile .cpp files

%.o : %.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<


# Compile ANTLR grammar files

LexerFiles        = TTCNLexer.cpp TTCNLexer.hpp \
										TTCNLexerTokenTypes.hpp TTCNLexerTokenTypes.txt
ParserFiles       = TTCNParser.cpp TTCNParser.hpp \
										TTCNParserTokenTypes.hpp TTCNParserTokenTypes.txt
SymbolParserFiles = TTCNSymbolParser.cpp TTCNSymbolParser.hpp \
										TTCNSymbolParserTokenTypes.hpp TTCNSymbolParserTokenTypes.txt
TreeParserFiles   = TTCNTreeParser.cpp TTCNTreeParser.hpp \
										TTCNTreeParserTokenTypes.hpp TTCNTreeParserTokenTypes.txt

$(LexerFiles) : .lexer_made

.lexer_made : TTCNLexer.g Makefile
	java antlr.Tool $<
	touch .lexer_made

$(ParserFiles) : .parser_made

.parser_made : TTCNParser.g TTCNLexerTokenTypes.txt Makefile
	java antlr.Tool $<
	touch .parser_made

$(SymbolParserFiles) : .symbolparser_made

.symbolparser_made : TTCNSymbolParser.g TTCNParserTokenTypes.txt Makefile
	java antlr.Tool $<
	touch .symbolparser_made

$(TreeParserFiles) : .treeparser_made

.treeparser_made : TTCNTreeParser.g TTCNParserTokenTypes.txt Makefile
	java antlr.Tool $<
	touch .treeparser_made


# General file dependencies

*.o              : $(LIBANTLR) Makefile InfoAST.hpp EnvAST.hpp ScopeAST.hpp
TTCNMain.o       : TTCNLexer.hpp TTCNParser.hpp TTCNTreeParser.hpp
TTCNTreeParser.o : TTCNSymbolParser.hpp

# Maintainance

.PHONY : clean webupdate

clean :
	- rm -f TTCN3Parser TTCN3Parser.purify test_parser.log $(objects) \
          $(LexerFiles) $(ParserFiles) $(SymbolParserFiles) $(TreeParserFiles)\
	        .lexer_made .parser_made .symbolparser_made .treeparser_made *.tmp

webupdate :
	tar cvf sources.tar GPL.txt Makefile \
          InfoAST.hpp InfoAST.cpp EnvAST.hpp EnvAST.cpp ScopeAST.hpp ScopeAST.cpp \
          TTCNMain.cpp TTCNLexer.g TTCNParser.g TTCNSymbolParser.g TTCNTreeParser.g INSTALL README
	gzip -9 sources.tar
	mv sources.tar.gz /usr/local/apache/htdocs/english/research/specification/ttcn3parser/.

## ttcn3parser 20021218

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 #
 #    Michael Schmitt <schmitt@itm.mu-luebeck.de>
 #    Roman Koch <rkoch@itm.mu-luebeck.de>
+#    Helmut Neukirchen <neukirchen@itm.mu-luebeck.de>
 #
 #    Medical University of Luebeck,
 #    Ratzeburger Allee 160,
@@ -27,7 +28,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 #
-# $Id: Makefile,v 1.25 2001/08/05 16:40:02 schmitt Exp $
+# $Id: Makefile,v 1.29 2002/12/03 12:24:37 neukirchen Exp $
 #
 
 ifeq ($(OSTYPE),solaris)
@@ -39,17 +40,21 @@
 endif
 LDFLAGS=-Bstatic
 else
-CXX=g++
+CXX=g++-2.95
 CPPFLAGS=-I.
 CXXFLAGS=-g -Wall -ansi -pedantic
 ifndef LIBANTLR
+ifeq ($(OSTYPE),linux)
+LIBANTLR=antlr/libantlr-g++-linux.a
+else
 LIBANTLR=antlr/libantlr-g++-cygwin.a
+endif
 endif
 LDFLAGS=
 endif
 
-objects	 = InfoAST.o EnvAST.o ScopeAST.o TTCNMain.o TTCNLexer.o TTCNParser.o TTCNSymbolParser.o TTCNTreeParser.o
-
+objects	 = InfoAST.o EnvAST.o ScopeAST.o TTCNMain.o TTCNLexer.o TTCNParser.o TTCNSymbolParser.o TTCNTreeParser.o 
+# objects	 = InfoAST.o EnvAST.o ScopeAST.o TTCNMain.o TTCNLexer.o TTCNParser. o # use this if Tree parsing is broken
 
 # Eliminate implicit rules
 
@@ -57,6 +62,8 @@
 
 
 # Link TTCN-3 Parser
+
+all: TTCN3Parser
 
 TTCN3Parser : $(objects) $(LIBANTLR)
 	$(CXX) -o TTCN3Parser $(objects) $(LIBANTLR) $(LDFLAGS)
@@ -85,25 +92,25 @@
 $(LexerFiles) : .lexer_made
 
 .lexer_made : TTCNLexer.g Makefile
-	java antlr.Tool $<
+	kaffe antlr.Tool $<
 	touch .lexer_made
 
 $(ParserFiles) : .parser_made
 
 .parser_made : TTCNParser.g TTCNLexerTokenTypes.txt Makefile
-	java antlr.Tool $<
+	kaffe antlr.Tool $<
 	touch .parser_made
 
 $(SymbolParserFiles) : .symbolparser_made
 
 .symbolparser_made : TTCNSymbolParser.g TTCNParserTokenTypes.txt Makefile
-	java antlr.Tool $<
+	kaffe antlr.Tool $<
 	touch .symbolparser_made
 
 $(TreeParserFiles) : .treeparser_made
 
 .treeparser_made : TTCNTreeParser.g TTCNParserTokenTypes.txt Makefile
-	java antlr.Tool $<
+	kaffe antlr.Tool $<
 	touch .treeparser_made
 
 
@@ -111,6 +118,7 @@
 
 *.o              : $(LIBANTLR) Makefile InfoAST.hpp EnvAST.hpp ScopeAST.hpp
 TTCNMain.o       : TTCNLexer.hpp TTCNParser.hpp TTCNTreeParser.hpp
+# TTCNMain.o       : TTCNLexer.hpp TTCNParser.hpp # Use this if Tree parsing is broken
 TTCNTreeParser.o : TTCNSymbolParser.hpp
 
 # Maintainance
@@ -122,9 +130,13 @@
           $(LexerFiles) $(ParserFiles) $(SymbolParserFiles) $(TreeParserFiles)\
 	        .lexer_made .parser_made .symbolparser_made .treeparser_made *.tmp
 
-webupdate :
+# Publish tarred sources to web (makes only sense on ITM's web server)
+# $(WEBPATH) have to be set properly
+webupdate:
 	tar cvf sources.tar GPL.txt Makefile \
           InfoAST.hpp InfoAST.cpp EnvAST.hpp EnvAST.cpp ScopeAST.hpp ScopeAST.cpp \
           TTCNMain.cpp TTCNLexer.g TTCNParser.g TTCNSymbolParser.g TTCNTreeParser.g INSTALL README
 	gzip -9 sources.tar
-	mv sources.tar.gz /usr/local/apache/htdocs/english/research/specification/ttcn3parser/.
+	mv -f sources.tar.gz $(WEBPATH)/ttcn3/.
+
+	chmod 664 $(WEBPATH)/ttcn3/sources.tar.gz

## ttcn3parser 20060801-1.1

=== debian/changelog ===
ttcn3parser (20060801-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added ${python:Depends} in the Depends field (Closes: #398833).
  * Moved debhelper, cdbs, python-all-dev and python-central to the
    Build-Depends field (Policy 7.6).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 25 Nov 2006 03:58:41 +0000

ttcn3parser (20060801-1) unstable; urgency=low

  * New Python policy (closes: #380979).
  * Missing ImportTestcaseSpec from ImportElement (closes: #330672).

 -- W. Borgert <debacle@debian.org>  Tue, 01 Aug 2006 17:53:10 +0000

ttcn3parser (20050130-2) unstable; urgency=low

  * New maintainer:
    Debian FDT tool team <pkg-fdt-tools-team@lists.alioth.debian.org>.
    FDT = Formal Description Technique (e.g. ASN.1, MSC, SDL, TTCN-3)

 -- W. Borgert <debacle@debian.org>  Fri, 05 Aug 2005 17:10:39 +0000

ttcn3parser (20050130-1) unstable; urgency=high

  * New version: parses all test cases now.
  * Closes: #292836 (Missing Build-Depends on 'python-dev').

 -- W. Borgert <debacle@debian.org>  Sun, 30 Jan 2005 15:32:52 +0000

ttcn3parser (20050122-1) unstable; urgency=high

  * New upstream version by new upstream (me).
  * No ANTLR anymore, using python-pyparsing instead.
  * Follows the current TTCN-3 standard.
  * Closes: #199220 (crashes on any input file).
  * Closes: #233052 (m68k: invalid static_cast) - no C++.
  * Closes: #244274 (Build-Depends for antlr unsatisfyable) - no ANTLR.
  * Lintian warnings fixed.

 -- W. Borgert <debacle@debian.org>  Sat, 22 Jan 2005 13:38:16 +0000

ttcn3parser (20021218-1) unstable; urgency=high

  * New upstream version.
  * Some test files included.
  * Fixes problems with new ANTLR and g++ 3.3, thanks to Daniel Schepler
    (Closes: #199220).
  * Uses CDBS to build.

 -- W. Borgert <debacle@debian.org>  Wed, 15 Oct 2003 18:44:23 +0000

ttcn3parser (20011019-1) unstable; urgency=low

  * New upstream version.
  * Added the generated files to the CVS, this closes: 106650.
    This is not a perfect solution!

 -- W. Borgert <debacle@debian.org>  Fri, 19 Oct 2001 14:45:46 +0000

ttcn3parser (20010321-1) unstable; urgency=low

  * New upstream version.
  * Added java-virtual-machine to build dependencies (closes: #94871).

 -- W. Borgert <debacle@debian.org>  Mon, 23 Apr 2001 11:00:11 +0000

ttcn3parser (20010126-1) unstable; urgency=low

  * Initial Release.

 -- W. Borgert <debacle@debian.org>  Fri, 26 Jan 2001 21:21:27 +0000

=== debian/control ===
Source: ttcn3parser
Section: devel
Priority: extra
Maintainer: Debian FDT tools team <pkg-fdt-tools-team@lists.alioth.debian.org>
Uploaders: W. Borgert <debacle@debian.org>, Michael Piefel <piefel@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python-all-dev (>= 2.3.5-11), python-central (>= 0.5)
Build-Depends-Indep: docbook-xsl (>= 1.60), xsltproc
Standards-Version: 3.7.2.1
XS-Python-Version: current

Package: ttcn3parser
Architecture: all
Depends: ${python:Depends}, python-pyparsing
Recommends: ttcn-el
Suggests: python-psyco
XB-Python-Version: ${python:Versions}
Description: parser for the TTCN-3 test specification language
 This is a parser for TTCN-3 (Testing and Test Control
 Notation 3), a language mainly for testing of communication
 protocols.  Warning: The parser is still under development.

=== debian/rules ===
#!/usr/bin/make -f

DEB_INSTALL_DIRS_ALL := usr/bin usr/share/man/man1
DEB_INSTALL_DOCS_ALL := README
DEB_INSTALL_EXAMPLES_ttcn3parser := Tests/*.ttcn
DEB_INSTALL_MANPAGES_ttcn3parser := TTCN3Parser.1
DEB_PYTHON_SYSTEM := pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DB2MAN=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

common-build-indep::
	xsltproc --nonet --novalid $(DB2MAN) TTCN3Parser.dbk

clean::
	rm -f debian/TTCN3Parser.1
